Opened 15 years ago

Closed 15 years ago

#5342 closed defect (fixed)

BUG: kdebase3 and kdelibs

Reported by: joe@… Owned by: ben@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc: yves@…, chuckwm@…, wingdo@…
Port:

Description

checking for rpath... yes checking for KDE... libraries /opt/local/lib, headers /opt/local/include checking if UIC has KDE plugins available... no configure: error: you need to install kdelibs first.

If you did install kdelibs, then the Qt version that is picked up by this configure is not the same version you used to compile kdelibs. The Qt Plugin installed by kdelibs is *ONLY* loadable if its the same Qt version, compiled with the same compiler and the same Qt configuration settings.

Warning: the following items did not execute (for kdebase3): com.apple.activate com.apple.configure com.apple.build com.apple.destroot com.apple.archive com.apple.install Error: The following dependencies failed to build: kdebase3 Error: /opt/local/bin/port: Status 1 encountered during processing.

I do have kdelibs3 installed though:

% port installed | grep kde

kdelibs3 3.4.1_3+darwin_8 (active)

Attachments (3)

Portfile (3.2 KB) - added by ben@… 15 years ago.
qt3 portfile
Portfile.2 (1.5 KB) - added by ben@… 15 years ago.
kdelibs3 portfile
Portfile.3 (1.0 KB) - added by ben@… 15 years ago.
libiconv 1.9.2 Portfile

Download all attachments as: .zip

Change History (53)

comment:2 Changed 15 years ago by chuckwm@…

uname -a Darwin Imac-G5.local 8.2.0 Darwin Kernel Version 8.2.0: Fri Jun 24 17:46:54 PDT 2005; root:xnu-792.2.4.obj~3/RELEASE_PPC Power Macintosh powerpc

port info kdebase3 kdebase3 3.4.1, Revision 3, kde/kdebase3 (Variants: darwin_6, apidox) Library Dependencies: kdelibs3, lesstif, samba3 Platforms: darwin Maintainers: ben@…

sudo port -vd install kdebase3 Password: DEBUG: Found port in file:///opt/local/var/db/dports/sources/ rsync.rsync.opendarwin.org_dpupdate_dports/kde/kdebase3 DEBUG: Changing to port directory: /opt/local/var/db/dports/sources/ rsync.rsync.opendarwin.org_dpupdate_dports/kde/kdebase3 DEBUG: Requested variant powerpc is not provided by port kdebase3. DEBUG: Requested variant darwin is not provided by port kdebase3. DEBUG: Requested variant macosx is not provided by port kdebase3. DEBUG: Found port in file:///opt/local/var/db/dports/sources/ rsync.rsync.opendarwin.org_dpupdate_dports/kde/kdelibs3 DEBUG: Changing to port directory: /opt/local/var/db/dports/sources/ rsync.rsync.opendarwin.org_dpupdate_dports/kde/kdelibs3 DEBUG: Searching for dependency: kdelibs3 DEBUG: Found Dependency: receipt exists for kdelibs3 DEBUG: Found port in file:///opt/local/var/db/dports/sources/ rsync.rsync.opendarwin.org_dpupdate_dports/x11/lesstif DEBUG: Changing to port directory: /opt/local/var/db/dports/sources/ rsync.rsync.opendarwin.org_dpupdate_dports/x11/lesstif DEBUG: Searching for dependency: lesstif DEBUG: Found Dependency: receipt exists for lesstif DEBUG: Found port in file:///opt/local/var/db/dports/sources/ rsync.rsync.opendarwin.org_dpupdate_dports/net/samba3 DEBUG: Changing to port directory: /opt/local/var/db/dports/sources/ rsync.rsync.opendarwin.org_dpupdate_dports/net/samba3 DEBUG: Searching for dependency: samba3 DEBUG: Found Dependency: receipt exists for samba3 DEBUG: Skipping completed com.apple.main (kdebase3) DEBUG: Skipping completed com.apple.unarchive (kdebase3) DEBUG: Skipping completed com.apple.fetch (kdebase3) DEBUG: Skipping completed com.apple.checksum (kdebase3) DEBUG: setting option extract.cmd to /usr/bin/bzip2 DEBUG: Skipping completed com.apple.extract (kdebase3) DEBUG: Skipping completed com.apple.patch (kdebase3) ---> Configuring kdebase3 DEBUG: Executing com.apple.configure (kdebase3) DEBUG: Assembled command: 'cd "/opt/local/var/db/dports/build/ file._opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_kde_kdebase3/ work/kdebase-3.4.1" && CC=gcc-3.3 CXX=g++-3.3 CFLAGS='-Os' CXXFLAGS='-Os' CPPFLAGS='-I/ usr/X11R6/include -I/usr/X11R6/include/freetype2 -I/usr/X11R6/include/freetype2/freetype -I/opt/ local/include -I/opt/local/include/qt3 -I/usr/include/gssapi -no-cpp-precomp -fno-common - UHAVE_REALTIME_SCHED' LDFLAGS='-L/usr/X11R6/lib -L/opt/local/lib' LIBS='-L/opt/local/lib' lt_cv_sys_max_cmd_len=65536 ./configure --prefix=/opt/local --prefix='/opt/local' --includedir='/ opt/local/include' --libdir='/opt/local/lib' --with-extra-includes='/opt/local/include:/usr/include/ gssapi' --with-extra-libs='/opt/local/lib' --with-qt-dir='/opt/local' --with-qt-includes='/opt/local/ include/qt3' --with-plugins='/opt/local/lib/qt3-plugins' --enable-rpath --with-pic --enable- shared=yes --enable-static=no --enable-mt --libexecdir='/opt/local/lib' --with-xinerama --with- pam --disable-final --disable-dependency-tracking --enable-cups --with-ldap --mandir=/opt/local/ share/man --with-pam --with-distribution='DarwinPorts/Mac OS X' --with-ssl-dir=/usr --with-ssl -- with-gssapi=framework --disable-dependency-tracking --without-arts' checking build system type... powerpc-apple-darwin8.2.0 checking host system type... powerpc-apple-darwin8.2.0 checking target system type... powerpc-apple-darwin8.2.0 checking for a BSD-compatible install... /usr/bin/install -c checking for -p flag to install... yes checking whether build environment is sane... yes checking for gawk... no checking for mawk... no checking for nawk... no checking for awk... awk checking whether make sets $(MAKE)... yes checking for kde-config... /opt/local/bin/kde-config checking where to install... /opt/local (as requested) checking for style of include used by make... GNU checking for gcc... gcc-3.3 checking for C compiler default output file name... a.out checking whether the C compiler works... yes checking whether we are cross compiling... no checking for suffix of executables... checking for suffix of object files... o checking whether we are using the GNU C compiler... yes checking whether gcc-3.3 accepts -g... yes checking for gcc-3.3 option to accept ANSI C... none needed checking dependency style of gcc-3.3... none checking how to run the C preprocessor... gcc-3.3 -E checking whether we are using the GNU C++ compiler... yes checking whether g++-3.3 accepts -g... yes checking dependency style of g++-3.3... none checking whether gcc-3.3 is blacklisted... no checking whether g++-3.3 supports -Wundef... yes checking whether g++-3.3 supports -Wno-long-long... yes checking whether g++-3.3 supports -Wnon-virtual-dtor... yes checking whether g++-3.3 supports -fno-exceptions... yes checking whether g++-3.3 supports -fno-check-new... yes checking whether g++-3.3 supports -fno-common... yes checking whether g++-3.3 supports -fexceptions... yes checking how to run the C++ preprocessor... g++-3.3 -E checking whether g++-3.3 supports -O0... yes not using lib directory suffix checking for a sed that does not truncate output... /usr/bin/sed checking for egrep... grep -E checking for ld used by gcc-3.3... /usr/bin/ld checking if the linker (/usr/bin/ld) is GNU ld... no checking for /usr/bin/ld option to reload object files... -r checking for BSD-compatible nm... /usr/bin/nm -p checking whether ln -s works... yes checking how to recognise dependent libraries... pass_all checking for ANSI C header files... yes checking for sys/types.h... yes checking for sys/stat.h... yes checking for stdlib.h... yes checking for string.h... yes checking for memory.h... yes checking for strings.h... yes checking for inttypes.h... yes checking for stdint.h... yes checking for unistd.h... yes checking dlfcn.h usability... yes checking dlfcn.h presence... yes checking for dlfcn.h... yes checking how to run the C++ preprocessor... g++-3.3 -E checking for g77... no checking for f77... no checking for xlf... no checking for frt... no checking for pgf77... no checking for fort77... no checking for fl32... no checking for af77... no checking for f90... no checking for xlf90... no checking for pgf90... no checking for epcf90... no checking for f95... no checking for fort... no checking for xlf95... no checking for ifc... no checking for efc... no checking for pgf95... no checking for lf95... no checking for gfortran... no checking whether we are using the GNU Fortran 77 compiler... no checking whether accepts -g... no checking the maximum length of command line arguments... (cached) 65536 checking command to parse /usr/bin/nm -p output from gcc-3.3 object... ok checking for objdir... .libs checking for ar... ar checking for ranlib... ranlib checking for strip... strip checking if gcc-3.3 static flag works... yes checking if gcc-3.3 supports -fno-rtti -fno-exceptions... no checking for gcc-3.3 option to produce PIC... -fno-common checking if gcc-3.3 PIC flag -fno-common works... yes checking if gcc-3.3 supports -c -o file.o... yes checking whether the gcc-3.3 linker (/usr/bin/ld) supports shared libraries... yes checking dynamic linker characteristics... darwin8.2.0 dyld checking how to hardcode library paths into programs... immediate checking whether stripping libraries is possible... yes checking for dlopen in -ldl... yes checking whether a program can dlopen itself... yes checking whether a statically linked program can dlopen itself... yes checking if libtool supports shared libraries... yes checking whether to build shared libraries... yes checking whether to build static libraries... no configure: creating libtool appending configuration tag "CXX" to libtool checking for ld used by g++-3.3... /usr/bin/ld checking if the linker (/usr/bin/ld) is GNU ld... no checking whether the g++-3.3 linker (/usr/bin/ld) supports shared libraries... yes checking for g++-3.3 option to produce PIC... -fno-common checking if g++-3.3 PIC flag -fno-common works... yes checking if g++-3.3 supports -c -o file.o... yes checking whether the g++-3.3 linker (/usr/bin/ld) supports shared libraries... yes checking dynamic linker characteristics... darwin8.2.0 dyld checking how to hardcode library paths into programs... immediate checking whether stripping libraries is possible... yes checking for dlopen in -ldl... (cached) yes checking whether a program can dlopen itself... (cached) yes checking whether a statically linked program can dlopen itself... (cached) yes appending configuration tag "F77" to libtool checking for msgfmt... /opt/local/bin/msgfmt checking for gmsgfmt... /opt/local/bin/msgfmt checking for xgettext... /opt/local/bin/xgettext checking if C++ programs can be compiled... yes checking for strlcat... yes checking if strlcat needs custom prototype... no checking for strlcpy... yes checking if strlcpy needs custom prototype... no checking for main in -lutil... no checking for main in -lcompat... no checking for crypt in -lcrypt... no checking for crypt in -lc... yes checking for socklen_t... yes checking for dnet_ntoa in -ldnet... no checking for dnet_ntoa in -ldnet_stub... no checking for inet_ntoa... yes checking for connect... yes checking for remove... yes checking for shmat... yes checking for sys/types.h... (cached) yes checking for stdint.h... (cached) yes checking sys/bitypes.h usability... no checking sys/bitypes.h presence... no checking for sys/bitypes.h... no checking for poll in -lpoll... yes checking Carbon/Carbon.h usability... yes checking Carbon/Carbon.h presence... yes checking for Carbon/Carbon.h... yes checking CoreAudio/CoreAudio.h usability... yes checking CoreAudio/CoreAudio.h presence... yes checking for CoreAudio/CoreAudio.h... yes checking if res_init needs -lresolv... yes checking for res_init... yes checking if res_init needs custom prototype... no checking for killpg in -lucb... no checking for int... yes checking size of int... 4 checking for short... yes checking size of short... 2 checking for long... yes checking size of long... 4 checking for char *... yes checking size of char *... 4 checking for dlopen in -ldl... (cached) yes checking for shl_unload in -ldld... no checking for size_t... yes checking size of size_t... 4 checking for unsigned long... yes checking size of unsigned long... 4 checking sizeof size_t == sizeof unsigned long... yes checking crt_externs.h usability... yes checking crt_externs.h presence... yes checking for crt_externs.h... yes checking for _NSGetEnviron... yes checking for vsnprintf... yes checking for snprintf... yes checking for X... libraries /usr/X11R6/lib, headers /usr/X11R6/include checking for IceConnectionNumber in -lICE... yes checking for libXext... yes checking for pthread_create in -lpthread... yes checking for extra includes... added checking for extra libs... added checking for libz... -lz checking for libpng... -lpng -lz -lm checking for libjpeg6b... no checking for libjpeg... -ljpeg checking for perl... /opt/local/bin/perl checking for Qt... libraries /opt/local/lib, headers /opt/local/include/qt3 using -mt checking for moc... /opt/local/bin/moc checking for uic... /opt/local/bin/uic checking whether uic supports -L ... yes checking whether uic supports -nounload ... yes checking if Qt needs -ljpeg... no checking for rpath... yes checking for KDE... libraries /opt/local/lib, headers /opt/local/include checking if UIC has KDE plugins available... no configure: error: you need to install kdelibs first.

If you did install kdelibs, then the Qt version that is picked up by this configure is not the same version you used to compile kdelibs. The Qt Plugin installed by kdelibs is *ONLY* loadable if its the same Qt version, compiled with the same compiler and the same Qt configuration settings.

Error: Target com.apple.configure returned: configure failure: shell command "cd "/opt/local/var/db/ dports/build/ file._opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_kde_kdebase3/ work/kdebase-3.4.1" && CC=gcc-3.3 CXX=g++-3.3 CFLAGS='-Os' CXXFLAGS='-Os' CPPFLAGS='-I/ usr/X11R6/include -I/usr/X11R6/include/freetype2 -I/usr/X11R6/include/freetype2/freetype -I/opt/ local/include -I/opt/local/include/qt3 -I/usr/include/gssapi -no-cpp-precomp -fno-common - UHAVE_REALTIME_SCHED' LDFLAGS='-L/usr/X11R6/lib -L/opt/local/lib' LIBS='-L/opt/local/lib' lt_cv_sys_max_cmd_len=65536 ./configure --prefix=/opt/local --prefix='/opt/local' --includedir='/ opt/local/include' --libdir='/opt/local/lib' --with-extra-includes='/opt/local/include:/usr/include/ gssapi' --with-extra-libs='/opt/local/lib' --with-qt-dir='/opt/local' --with-qt-includes='/opt/local/ include/qt3' --with-plugins='/opt/local/lib/qt3-plugins' --enable-rpath --with-pic --enable- shared=yes --enable-static=no --enable-mt --libexecdir='/opt/local/lib' --with-xinerama --with- pam --disable-final --disable-dependency-tracking --enable-cups --with-ldap --mandir=/opt/local/ share/man --with-pam --with-distribution='DarwinPorts/Mac OS X' --with-ssl-dir=/usr --with-ssl -- with-gssapi=framework --disable-dependency-tracking --without-arts" returned error 1 Command output: checking for snprintf... yes checking for X... libraries /usr/X11R6/lib, headers /usr/X11R6/include checking for IceConnectionNumber in -lICE... yes checking for libXext... yes checking for pthread_create in -lpthread... yes checking for extra includes... added checking for extra libs... added checking for libz... -lz checking for libpng... -lpng -lz -lm checking for libjpeg6b... no checking for libjpeg... -ljpeg checking for perl... /opt/local/bin/perl checking for Qt... libraries /opt/local/lib, headers /opt/local/include/qt3 using -mt checking for moc... /opt/local/bin/moc checking for uic... /opt/local/bin/uic checking whether uic supports -L ... yes checking whether uic supports -nounload ... yes checking if Qt needs -ljpeg... no checking for rpath... yes checking for KDE... libraries /opt/local/lib, headers /opt/local/include checking if UIC has KDE plugins available... no configure: error: you need to install kdelibs first.

If you did install kdelibs, then the Qt version that is picked up by this configure is not the same version you used to compile kdelibs. The Qt Plugin installed by kdelibs is *ONLY* loadable if its the same Qt version, compiled with the same compiler and the same Qt configuration settings.

Warning: the following items did not execute (for kdebase3): com.apple.activate com.apple.configure com.apple.build com.apple.destroot com.apple.archive com.apple.install

if you need anthing else Bill, please contact me.

comment:3 Changed 15 years ago by ben@…

Status: newassigned

thanks, this is helpful. the key thing here is going to be working out what's different between your two machines -- the one where kde works and the one where it doesn't. so it would be really helpful to see the output of both 'port version' and 'port installed' on both machines.

comment:4 Changed 15 years ago by joe@…

(In reply to comment #3)

thanks, this is helpful. the key thing here is going to be working out what's different between your two machines -- the one where kde works and the one where it doesn't. so it would be really helpful to see the output of both 'port version' and 'port installed' on both machines.

I don't think KDE base will build on either of our machines...

% port installed The following ports are currently installed:

a52dec 0.7.4_0 (active) apache 1.3.33_3 (active) apache-ant 1.6.5_0 (active) apr 0.9.6_1+darwin_8 (active) apr-util 0.9.6_1 (active) aspell 0.60.2_2 (active) audiofile 0.2.6_0 (active) autoconf 2.59_0 (active) automake 1.9.6_0 (active) awstats 6.4_0+apache (active) bitchx 1.1_0 (active) cm3 5.2.6_1 (active) cups-headers 1.1.15_0 (active) cvs 1.11.21_0 (active) cyrus-sasl2 2.1.21_0 (active) DarwinPortsStartup 1.1_0 (active) db4 4.3.28_0+darwin_8 (active) esound 0.2.35_1 (active) expat 1.95.8_1 (active) flac 1.1.2_0 (active) fontconfig 2.3.2_0 (active) freetype 2.1.9_1 (active) fribidi 0.10.5_0 (active) gallery 2.0_0+apache+mysql4+php4 (active) gettext 0.14.5_0 (active) glib1 1.2.10_4 (active) gmake 3.80_1 (active) gnughostscript 7.07_0 (active) gtk1 1.2.10_6 (active) id3lib 3.8.3_0 (active) ImageMagick 6.2.4-3_2 (active) iTerm 0.8.1_0 (active) jasper 1.701.0_0 (active) jbigkit 1.6_0 (active) jhead 2.4_0 (active) jpeg 6b_1 (active) junit 3.8.1_1 (active) kdelibs3 3.4.1_3+darwin_8 (active) lame 3.96.1_0 (active) lcms 1.14_0 (active) lesstif 0.94.4_0 (active) libart_lgpl 2.3.17_0 (active) libgeoip 1.3.14_0 (active) libiconv 1.10_1+darwin_8 (active) libidn 0.5.19_0 (active) libmad 0.15.1b_0 (active) libmikmod 3.1.11a_0 (active) libogg 1.1.2_0 (active) libpng 1.2.8_2+darwin_8 (active) libsdl 1.2.8_3 (active) libsdl_mixer 1.2.6_3 (active) libsndfile 1.0.11_0 (active) libtheora 1.0alpha3_0 (active) libtool 1.5.20_0 (active) libusb 0.1.10a_1 (active) libvorbis 1.1.0_0 (active) libxml2 2.6.19_0 (active) links 2.1pre18_0+ssl (active) lynx 2.8.5rel.2_0+ssl (active) mediawiki 1.4.10_0+apache+mysql4+php4 (active) MyODBC 3.51.11_0 (active) mysql4 4.1.14_0+darwin_8+server (active) neon 0.24.7_0 (active) netpbm 10.29_1 (active) ocrad 0.12_0 (active) OpenEXR 1.2.1_0 (active) openldap 2.2.28_0 (active) openssl 0.9.8_2 (active) pcre 6.4_0 (active) perl5.8 5.8.7_0 (active) php4 4.4.0_0+apache+gd+ldap+macosx+mysql4 (active) phpmyadmin 2.6.4-pl1_1+apache+mysql4+php4 (active) pkgconfig 0.19_0 (active) popt 1.7_4 (active) qt3 3.3.4_3+darwin_8 (active) readline 5.0.005_0+darwin_8 (active) rsync 2.6.6_0 (active) samba3 3.0.20_0+darwin_8 (active) smpeg 0.4.4_5+darwin_8 (active) speex 1.1.6_0 (active) squirrelmail 1.4.5_0+apache+php4 (active) subversion 1.2.3_0 (active) tiff 3.7.3_0 (active) twolame 0.3.3_0 (active) unixODBC 2.2.11_0 (active) unrar 3.5.2_0 (active) unzip 5.52_0 (active) wget 1.10_0 (active) wordpress 1.5.2_0+apache+mysql4+php4 (active) wxWidgets 2.6.2_0+darwin_8 (active) x264 20050415_0 (active) zlib 1.2.3_0 (active)

comment:5 Changed 15 years ago by ben@…

hmm... can you also tell me the contents of ${prefix}/etc/qt/qt_plugins_3.3rc ?

comment:6 Changed 15 years ago by joe@…

(In reply to comment #5)

hmm... can you also tell me the contents of ${prefix}/etc/qt/qt_plugins_3.3rc ?

[opt] local/lib/kde3/plugins/designer/kdewidgets.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-10T01:53:16^e local/lib/qt3-plugins/designer/libcppeditor.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-09T23:01:57^e local/lib/qt3-plugins/designer/libdlgplugin.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-09T23:01:57^e local/lib/qt3-plugins/designer/libgladeplugin.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-09T23:01:57^e local/lib/qt3-plugins/designer/libkdevdlgplugin.so=30304e3eqt3-jaguar Power Macintosh Darwin g ++-3.* full-confige2005-10-09T23:01:57^e local/lib/qt3-plugins/designer/librcplugin.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-09T23:01:57^e local/lib/qt3-plugins/designer/libwizards.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-09T23:01:57^e local/lib/qt3-plugins/imageformats/libqjpeg.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-09T23:01:57^e local/lib/qt3-plugins/imageformats/libqmng.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-09T23:01:57^e local/lib/qt3-plugins/imageformats/libqpng.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-09T23:01:57^e local/var/db/dports/build/ _opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_x11_qt3/work/qt- x11-free-3.3.4/plugins/designer/libcpped\itor.so=30304e3eqt3-jaguar Power Macintosh Darwin g ++-3.* full-confige2005-10-09T22:52:26^e local/var/db/dports/build/ _opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_x11_qt3/work/qt- x11-free-3.3.4/plugins/designer/libdlgpl\ugin.so=30304e3eqt3-jaguar Power Macintosh Darwin g ++-3.* full-confige2005-10-09T22:52:53^e local/var/db/dports/build/ _opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_x11_qt3/work/qt- x11-free-3.3.4/plugins/designer/libglade\plugin.so=30304e3eqt3-jaguar Power Macintosh Darwin g++-3.* full-confige2005-10-09T22:53:35^e local/var/db/dports/build/ _opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_x11_qt3/work/qt- x11-free-3.3.4/plugins/designer/libkdevd\lgplugin.so=30304e3eqt3-jaguar Power Macintosh Darwin g++-3.* full-confige2005-10-09T22:54:09^e local/var/db/dports/build/ _opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_x11_qt3/work/qt- x11-free-3.3.4/plugins/designer/librcplu\gin.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-09T22:53:52^e local/var/db/dports/build/ _opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_x11_qt3/work/qt- x11-free-3.3.4/plugins/designer/libwizar\ds.so=30304e3eqt3-jaguar Power Macintosh Darwin g+ +-3.* full-confige2005-10-09T22:50:24^e local/var/db/dports/build/ _opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_x11_qt3/work/qt- x11-free-3.3.4/plugins/imageformats/libq\jpeg.so=30304e3eqt3-jaguar Power Macintosh Darwin g ++-3.* full-confige2005-10-09T20:14:27^e local/var/db/dports/build/ _opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_x11_qt3/work/qt- x11-free-3.3.4/plugins/imageformats/libq\mng.so=30304e3eqt3-jaguar Power Macintosh Darwin g++-3.* full-confige2005-10-09T20:15:00^e local/var/db/dports/build/ _opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_x11_qt3/work/qt- x11-free-3.3.4/plugins/imageformats/libq\png.so=30304e3eqt3-jaguar Power Macintosh Darwin g ++-3.* full-confige2005-10-09T20:14:22^e

comment:7 Changed 15 years ago by chuckwm@…

(In reply to comment #3)

thanks, this is helpful. the key thing here is going to be working out what's different between your two machines -- the one where kde works and the one where it doesn't. so it would be really helpful to see the output of both 'port version' and 'port installed' on both machines.

These are from my "working" ibook:

fijfi-ibook% port version Version: 1.102 fijfi-ibook% port info kdebase3 kdebase3 3.4.1, Revision 3, kde/kdebase3 (Variants: darwin_6, apidox) Library Dependencies: kdelibs3, lesstif, samba3 Platforms: darwin Maintainers: ben@…

comment:8 Changed 15 years ago by chuckwm@…

Cc: chuckwm@… added

comment:9 Changed 15 years ago by ben@…

dependson: 3835

I can't currently reproduce this bug because of #3835 (lesstif won't build). Do you know a way roudn this?

comment:10 Changed 15 years ago by chuckwm@…

(In reply to comment #7)

(In reply to comment #3)

thanks, this is helpful. the key thing here is going to be working out what's different between your two machines -- the one where kde works and the one where it doesn't. so it would be really helpful to see the output of both 'port version' and 'port installed' on both machines.

These are from my "working" ibook:

fijfi-ibook% port version Version: 1.102 fijfi-ibook% port info kdebase3 kdebase3 3.4.1, Revision 3, kde/kdebase3 (Variants: darwin_6, apidox) Library Dependencies: kdelibs3, lesstif, samba3 Platforms: darwin Maintainers: ben@…

port installed:

AquaLess 1.4_0+darwin_8 (active) aspell 0.60.2_2 (active) audiofile 0.2.6_0 (active) autoconf 2.59_0 (active) blackbox 0.70.0_1 (active) bzip2 1.0.3_0 (active) cups-headers 1.1.15_0 (active) cyberduck 2.3.3_1 (active) expat 1.95.8_1 (active) fontconfig 2.3.2_0 (active) Freecell 1.3_0+darwin_8 (active) freetype 2.1.9_1 (active) gettext 0.14.5_0 (active) gnupg 1.4.2_0 (active) gsed 4.1.4_0 (active) jasper 1.701.0_0 (active) jpeg 6b_1 (active) kde 3.4.1_0 (active) kdebase3 3.4.1_3 (active) kdelibs3 3.4.1_3+darwin_8 (active) kdenetwork3 3.4.1_0 (active) kdepim3 3.4.1_0 (active) kdeutils3 3.4.1_0 (active) kdewebdev3 3.4.1_0 (active) lesstif 0.94.4_0 (active) libart_lgpl 2.3.17_0 (active) libiconv 1.9.2_1 (active) libidn 0.5.19_0 (active) libogg 1.1.2_0 (active) libpng 1.2.8_2+darwin_8 (active) libusb 0.1.10a_1 (active) libvorbis 1.1.0_0 (active) OpenEXR 1.2.1_0 (active) openssl 0.9.8_2 (active) pcre 6.4_0 (active) perl5.8 5.8.7_0 (active) pkgconfig 0.19_0 (active) popt 1.7_4 (active) qt3 3.3.4_3+darwin_8 (active) readline 5.0.005_0+darwin_8 (active) samba3 3.0.20_0+darwin_8 (active) tiff 3.7.3_0 (active) vim 6.3.62_0+aqua (active) wget 1.10_0 (active) XFree86 4.5.0_2 (active) zlib 1.2.3_0 (active)

comment:11 Changed 15 years ago by chuckwm@…

(In reply to comment #8)

I can't currently reproduce this bug because of #3835 (lesstif won't build). Do you know a way roudn this?

(In reply to comment #8)

I can't currently reproduce this bug because of #3835 (lesstif won't build). Do you know a way roudn this?

I had that problem on both boxes. Unfortunately, doing it at work didn't allow me to document what I did to fix it ;) I remember I installed something manually, then had to do a port clean and port install on lesstif on it's own. I did google for a few items. If I remember I will reply

comment:12 Changed 15 years ago by joe@…

(In reply to comment #10)

(In reply to comment #8)

I can't currently reproduce this bug because of #3835 (lesstif won't build). Do you know a way roudn this?

I was able to get lestif to install by clean reinstalling it

comment:13 Changed 15 years ago by ben@…

OK, I can now reproduce using Motif (rebuilding lesstif doesn't work for me), and removing samba3 (which also doesn't build) from the deps list.

If I understand you guys correctly, this is a list of ports that are installed on the working machine but not on the failing machine:

Possibly relevant:

  • bzip2 1.0.3_0 (active)
  • gsed 4.1.4_0 (active)
  • libiconv 1.9.2_1 (active)
  • Xfree86 4.5.0_2 (active)

Not possibly relevant:

  • AquaLess 1.4_0+darwin_8 (active)
  • blackbox 0.70.0_1 (active)
  • cyberduck 2.3.3_1 (active)
  • gnupg 1.4.2_0 (active)
  • vim 6.3.62_0+aqua (active)

Chuck: Can you go through the 'possibly relevant' list and tell me which versions of these ports are installed on your non-working machine? My evil eye is glaring at libiconv 1.10 currently but I have no real evidence for this.

comment:14 Changed 15 years ago by ben@…

Hmm... looks like kdelibs3 is linking against /usr/lib/libiconv, but qt is linking against /opt/local/libiconv. This used to work because the system libiconv happened to be the same as the dp one. Now the dp one has been upgraded, it breaks. I think.

comment:15 Changed 15 years ago by mww@…

Summary: kdebase3 and kdelibsBUG: kdebase3 and kdelibs

comment:16 Changed 15 years ago by ben@…

i just committed a possible fix. it will be necessary to 'port uninstall kdelibs3' and 'port clean --all kdelibs3'. the fix is untested -- my mac is tied up doing 'real work' at the moment. but if you guys have some spare cycles to recompile, let me know you you get on.

comment:17 Changed 15 years ago by ben@…

(In reply to comment #14)

i just committed a possible fix. it will be necessary to 'port uninstall kdelibs3' and 'port clean --all kdelibs3'. the fix is untested -- my mac is tied up doing 'real work' at the moment. but if you guys have some spare cycles to recompile, let me know you you get on.

oh, and 'port sync' before you start, of course

comment:18 Changed 15 years ago by chuckwm@…

I already started compiling after my "work around" ;) I will try your fix after I am done though. I'm just kicking around this weekend.

(In reply to comment #15)

(In reply to comment #14)

i just committed a possible fix. it will be necessary to 'port uninstall kdelibs3' and 'port clean --all kdelibs3'. the fix is untested -- my mac is tied up doing 'real work' at the moment. but if you guys have some spare cycles to recompile, let me know you you get on.

oh, and 'port sync' before you start, of course

comment:19 Changed 15 years ago by joe@…

synced, uninstalled, cleaned, reinstalled kdelibs3, still having the same problem building kdebase3.

Thanks for working on this!

comment:20 Changed 15 years ago by chuckwm@…

I did a mv of the libiconv libraries in /usr/lib and linked the /opt/local iconv libraries there. It all works fine now.

(In reply to comment #17)

synced, uninstalled, cleaned, reinstalled kdelibs3, still having the same problem building kdebase3.

Thanks for working on this!

comment:21 Changed 15 years ago by joe@…

(In reply to comment #18)

I did a mv of the libiconv libraries in /usr/lib and linked the /opt/local iconv libraries there. It all works fine now.

Would it be possible to add some reinplace commands to the Portfile to change pathnames to look in the appropriate places for libiconv?

comment:22 Changed 15 years ago by ben@…

Joe --

Would it be possible to add some reinplace commands to the Portfile to change pathnames to look in the appropriate places for libiconv?

I'm afraid it doesn't seem to be that simple. AFAICT kdelibs3 is looking in the right place (${prefix}/lib/) already. If you think I'm wrong, please let me know.

I just can't work out why uic is (sometimes) failing to pick up the kde plugins.

This worked fine on 10.4 when I first did this, and _something_ external has

changed since. The fact that Chuck has had success with moving libiconvs around suggests this may still be the problem, but uic seems to run OK for me now, it just doesn't find the plugins.

comment:23 Changed 15 years ago by joe@…

(In reply to comment #20)

Joe --

Would it be possible to add some reinplace commands to the Portfile to change pathnames to look in the appropriate places for libiconv?

I'm afraid it doesn't seem to be that simple. AFAICT kdelibs3 is looking in the right place (${prefix}/lib/) already. If you think I'm wrong, please let me know.

I just can't work out why uic is (sometimes) failing to pick up the kde plugins.

This worked fine on 10.4 when I first did this, and _something_ external has

changed since. The fact that Chuck has had success with moving libiconvs around suggests this may still be the problem, but uic seems to run OK for me now, it just doesn't find the plugins.

I'm not sure what UIC is, but please let me know if I can help with testing potential fixes.

comment:24 Changed 15 years ago by ben@…

Hi Joe --

If you can test the attached portfiles by port uninstall and port clean --all on both qt3 and kdelibs3, then port install kdelibs3 (making sure the new portfiles are used of course), that would be very useful.

They just have the deps adjusted to pull in DP versions of all libs. It's probably pretty slow to build.]

Cheers

Ben

Changed 15 years ago by ben@…

Attachment: Portfile added

qt3 portfile

Changed 15 years ago by ben@…

Attachment: Portfile.2 added

kdelibs3 portfile

comment:25 Changed 15 years ago by ben@…

P.S. Chuck, are you sure the only change you made was relinking libiconv? If you installed anything else through DP, that could be very useful to know.

comment:26 Changed 15 years ago by joe@…

looks like the new qt patch referenced from the qt3 Portfile attachment here didn't make it to the server:

% sudo port -v install kdepim3 ---> Fetching qt3 ---> qt.patch doesn't seem to exist in /opt/local/var/db/dports/distfiles/qt3 ---> Attempting to fetch qt.patch from http://distfiles-od.opendarwin.org/

% Total % Received % Xferd Average Speed Time Time Time Current

Dload Upload Total Spent Left Speed

0 0 0 0 0 0 0 0 --:--:-- 0:00:04 --:--:-- 0

---> Attempting to fetch qt.patch from http://distfiles-msn.opendarwin.org/

% Total % Received % Xferd Average Speed Time Time Time Current

Dload Upload Total Spent Left Speed

0 0 0 0 0 0 0 0 --:--:-- 0:00:07 --:--:-- 0

---> Attempting to fetch qt.patch from http://distfiles-bay13.opendarwin.org/

% Total % Received % Xferd Average Speed Time Time Time Current

Dload Upload Total Spent Left Speed

0 0 0 0 0 0 0 0 --:--:-- 0:00:04 --:--:-- 0

Error: Target com.apple.fetch returned: fetch failed Warning: the following items did not execute (for qt3): com.apple.activate com.apple.fetch com.apple.extract com.apple.checksum com.apple.patch com.apple.configure com.apple.build com.apple.destroot com.apple.archive com.apple.install Error: The following dependencies failed to build: kdebase3 kdelibs3 qt3 Error: /opt/local/bin/port: Status 1 encountered during processing.

comment:27 Changed 15 years ago by ben@…

i didn't change the patch. just copy the one from your main DP tree to ${dir_containing_new_portfile}/files/

thanks for trying this out!

comment:28 Changed 15 years ago by joe@…

(In reply to comment #27)

i didn't change the patch. just copy the one from your main DP tree to ${dir_containing_new_portfile}/files/

thanks for trying this out!

After letting qt3 and kdelibs3 build overnight, I'm unfortunately stuck with the same problem...

comment:29 Changed 15 years ago by itabtabai@…

As I was looking around for t a solution I stumbled upon a discussion carried out in part by a trolltech engineer who mentioned that Qt versioning is very strict as far as dependencies go. I came here and read through the post and decided to experiment with removing system libiconv's and sym-linking the ones installed by darwinports in their place. As I type, kdebase is past the configuration problem and the UIC test result was a "yes". I am sure you can have Qt strictly check and link against the darwinports libiconv instead of the system installed one. Maybe through some configure directives and options. I have looked at one of the packages which is dependent on libiconv and it had a "--with-libiconv-lib=$ {prefix}" in configure.args, I wonder if such thing would be some how possible in other forms with Qt3. I say other forms because I looked into configure and didn't see it testing or looking for such an option. Please tell me if I can be of any further help to resolve this.

comment:30 Changed 15 years ago by ben@…

Thanks for the information -- more evidence implicating libiconv is very helpful though I don't recommend the relinking solution!

The problem is I can't determine what (if anything) is linking against the system's libiconv. I've run otool -L on everything I can find, but don't find any references to /usr/lib/libiconv, only /opt/local/lib/libiconv.

If you can find what's mis-linking, I'll be happy to fix it :-)

comment:31 Changed 15 years ago by ben@…

Here is a possible workaround. If the new libiconv is really the problem, then reverting to the old one will fix it. To do this, replace textproc/libiconv/Portfile with the attached one. You'll need to port uninstall, port clena and port clean --archive your existing libiconv and everything that depends on it.

Changed 15 years ago by ben@…

Attachment: Portfile.3 added

libiconv 1.9.2 Portfile

comment:32 Changed 15 years ago by ben@…

attachments.isobsolete: 01

comment:33 Changed 15 years ago by ben@…

attachments.isobsolete: 01

comment:34 Changed 15 years ago by joe@…

Okay, recompiling kdelibs3 after reinstalling the older version of libiconv (included here) produces this error:

Making all in dnssd ../kdecore/kconfig_compiler/kconfig_compiler ./kcm_kdnssd.kcfg ./settings.kcfgc; ret=$?; \ if test "$ret" != 0; then rm -f settings.h ; exit $ret ; fi dyld: Library not loaded: /opt/local/lib/libiconv.2.dylib

Referenced from: /opt/local/lib/libidn.11.dylib Reason: Incompatible library version: libidn.11.dylib requires version 6.0.0 or later, but libiconv.

2.dylib provides version 5.0.0 make[2]: * [settings.h] Error 133 make[1]: * [all-recursive] Error 1 make: * [all] Error 2

Warning: the following items did not execute (for kdelibs3): com.apple.activate com.apple.build com.apple.destroot com.apple.archive com.apple.install Error: /opt/local/bin/port: Status 1 encountered during processing.

comment:35 Changed 15 years ago by ben@…

Hi Joe -- looks like you didn't rebuild libidn. You'll need to port uninstall and port clean --archive (probably port clean too) everythint that depends on libiconv. Just reinstalling without rebuilding will leave you with the stale references to the 'new' (now old) libiconv

comment:36 Changed 15 years ago by joe@…

Good news!

Kdebase3 installs with the libiconv included here!

What now?

comment:37 Changed 15 years ago by ben@…

(In reply to comment #35)

Kdebase3 installs with the libiconv included here!

Well -- at least we're sure what the problem is now. Can you post the output of: port contents libiconv | xargs otool -L | grep -v 'not an obj' port contents qt3 | xargs otool -L | grep -v 'not an obj' port contents kdelibs3 | xargs otool -L | grep -v 'not an obj' port contents kdebase3 | xargs otool -L | grep -v 'not an obj'

Thanks for doing all this compilation!

comment:38 Changed 15 years ago by joe@…

(using tcsh, if that makes a difference)...

Libiconv:

$ port contents libiconv | xargs otool -L | grep -v 'not an obj' otool: can't open file: Port (No such file or directory) otool: can't open file: libiconv (No such file or directory) otool: can't open file: contains: (No such file or directory) /opt/local/bin/iconv:

/opt/local/lib/libiconv.2.dylib (compatibility version 5.0.0, current version 5.0.0) /usr/lib/libmx.A.dylib (compatibility version 1.0.0, current version 92.0.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libcharset.1.0.0.dylib:

/opt/local/lib/libcharset.1.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libmx.A.dylib (compatibility version 1.0.0, current version 92.0.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libcharset.1.dylib:

/opt/local/lib/libcharset.1.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libmx.A.dylib (compatibility version 1.0.0, current version 92.0.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

Archive : /opt/local/lib/libcharset.a /opt/local/lib/libcharset.a(localcharset.o): /opt/local/lib/libcharset.a(relocatable.o): /opt/local/lib/libcharset.dylib:

/opt/local/lib/libcharset.1.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libmx.A.dylib (compatibility version 1.0.0, current version 92.0.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libiconv.2.2.0.dylib:

/opt/local/lib/libiconv.2.dylib (compatibility version 5.0.0, current version 5.0.0) /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libmx.A.dylib (compatibility version 1.0.0, current version 92.0.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libiconv.2.dylib:

/opt/local/lib/libiconv.2.dylib (compatibility version 5.0.0, current version 5.0.0) /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libmx.A.dylib (compatibility version 1.0.0, current version 92.0.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

Archive : /opt/local/lib/libiconv.a /opt/local/lib/libiconv.a(iconv.o): /opt/local/lib/libiconv.a(localcharset.o): /opt/local/lib/libiconv.a(relocatable.o): /opt/local/lib/libiconv.dylib:

/opt/local/lib/libiconv.2.dylib (compatibility version 5.0.0, current version 5.0.0) /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libmx.A.dylib (compatibility version 1.0.0, current version 92.0.0)

comment:39 Changed 15 years ago by joe@…

qt3:

/opt/local/bin/assistant:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/bin/designer:

/opt/local/lib/libdesignercore.1.dylib (compatibility version 1.0.0, current version 1.0.0) /opt/local/lib/libqui.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/bin/linguist:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/bin/lrelease:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/bin/lupdate:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/bin/moc:

/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/bin/qm2ts:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/bin/qmake:

/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/bin/qtconfig:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/bin/uic:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libdesignercore.1.0.0.dylib:

/opt/local/lib/libdesignercore.1.dylib (compatibility version 1.0.0, current version 1.0.0) /opt/local/lib/libqui.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libdesignercore.1.0.dylib:

/opt/local/lib/libdesignercore.1.dylib (compatibility version 1.0.0, current version 1.0.0) /opt/local/lib/libqui.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libdesignercore.1.dylib:

/opt/local/lib/libdesignercore.1.dylib (compatibility version 1.0.0, current version 1.0.0) /opt/local/lib/libqui.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libdesignercore.dylib:

/opt/local/lib/libdesignercore.1.dylib (compatibility version 1.0.0, current version 1.0.0) /opt/local/lib/libqui.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libeditor.1.0.0.dylib:

/opt/local/lib/libeditor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libeditor.1.0.dylib:

/opt/local/lib/libeditor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libeditor.1.dylib:

/opt/local/lib/libeditor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libeditor.dylib:

/opt/local/lib/libeditor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

Archive : /opt/local/lib/libqassistantclient.a /opt/local/lib/libqassistantclient.a(qassistantclient.o): /opt/local/lib/libqassistantclient.a(moc_qassistantclient.o): /opt/local/lib/libqt-mt.3.3.4.dylib:

/opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libqt-mt.3.3.dylib:

/opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libqt-mt.3.dylib:

/opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libqt-mt.dylib:

/opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libqui.1.0.0.dylib:

/opt/local/lib/libqui.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libqui.1.0.dylib:

/opt/local/lib/libqui.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libqui.1.dylib:

/opt/local/lib/libqui.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/libqui.dylib:

/opt/local/lib/libqui.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/qt3-plugins/designer/libcppeditor.so:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libeditor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/qt3-plugins/designer/libdlgplugin.so:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/qt3-plugins/designer/libgladeplugin.so:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/qt3-plugins/designer/libkdevdlgplugin.so:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/qt3-plugins/designer/librcplugin.so:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/qt3-plugins/designer/libwizards.so:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/qt3-plugins/imageformats/libqjpeg.so:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libjpeg.62.dylib (compatibility version 63.0.0, current version 63.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/qt3-plugins/imageformats/libqmng.so:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libjpeg.62.dylib (compatibility version 63.0.0, current version 63.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

/opt/local/lib/qt3-plugins/imageformats/libqpng.so:

/usr/lib/libresolv.9.dylib (compatibility version 1.0.0, current version 365.0.0) /opt/local/lib/libpng.3.dylib (compatibility version 3.0.0, current version 3.0.0) /opt/local/lib/libqt-mt.3.dylib (compatibility version 3.3.0, current version 3.3.4) /opt/local/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3) /usr/X11R6/lib/libGLU.1.dylib (compatibility version 1.3.0, current version 1.3.0) /usr/X11R6/lib/libGL.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXmu.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libXrender.1.dylib (compatibility version 1.2.0, current version 1.2.0) /usr/X11R6/lib/libXrandr.2.dylib (compatibility version 2.0.0, current version 2.0.0) /usr/X11R6/lib/libXcursor.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXinerama.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXft.2.dylib (compatibility version 2.1.0, current version 2.1.0) /usr/X11R6/lib/libfreetype.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/X11R6/lib/libfontconfig.1.dylib (compatibility version 1.0.0, current version 1.0.0) /usr/X11R6/lib/libXext.6.dylib (compatibility version 6.4.0, current version 6.4.0) /usr/X11R6/lib/libX11.6.dylib (compatibility version 6.2.0, current version 6.2.0) /usr/X11R6/lib/libSM.6.dylib (compatibility version 6.0.0, current version 6.0.0) /usr/X11R6/lib/libICE.6.dylib (compatibility version 6.3.0, current version 6.3.0) /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.2.1)

comment:40 Changed 15 years ago by joe@…

for the two kde attachments and the inline qt, there were several errors outputted to stdout that are not included here, since this is the output of a dump to a separate file (command > /path/to/file.txt)

comment:41 Changed 15 years ago by dmaziuk@…

I simply stuck -L${prefix}/lib -liconv in the front of configure args in qt's Portfile and that did the trick. I suspect simply making sure that library search paths appear in the same order in both qt and kdelibs Portfiles (e.g. -L/opt/local/lib is before -L/usr/lib) is all that's needed.

comment:42 Changed 15 years ago by ben@…

(In reply to comment #42)

I simply stuck -L${prefix}/lib -liconv in the front of configure args in qt's Portfile and that did the trick. I suspect simply making sure that library search paths appear in the same order in both qt and kdelibs Portfiles (e.g. -L/opt/local/lib is before -L/usr/lib) is all that's needed.

Great! I have committed your fix untested. It would be great if someone could test this.

comment:43 Changed 15 years ago by josh_root@…

I rebuilt qt3 and kdelibs3 with your latest qt3 portfile change. Unfortunately, I still get the result shown in comment 0.

comment:44 Changed 15 years ago by nacho.vinuesa@…

Hi all:

I resolve this problem with this procedure.

1.I moved all files libiconv in /usr/lib/ to libiconv.*.ori (e.g. mv libiconv.2.dylib libiconv.2.dylib.ori)

2.Copy from /opt/local/lib/ libiconv.a, libiconv.la and libiconv.2.3.0.dylib to /usr/lib/

3.Generate correct link.

ln -s libiconv.2.3.0.dylib libiconv.2.dylib ln -s libiconv.2.3.0.dylib libiconv.dylib

the final photo of /usr/lib/ is

machina:/usr/lib user$ ls -la libico* lrwxr-xr-x 1 root wheel 16 Oct 26 10:34 libiconv.2.2.0.dylib.ori -> libiconv.2.dylib -rw-r--r-- 1 root admin 1102484 Oct 27 00:39 libiconv.2.3.0.dylib lrwxr-xr-x 1 root wheel 20 Oct 28 00:52 libiconv.2.dylib -> libiconv.2.3.0.dylib -rw-r--r-- 1 root wheel 987544 Oct 26 14:19 libiconv.2.dylib.ori -rw-r--r-- 1 root admin 1122904 Oct 27 00:39 libiconv.a lrwxr-xr-x 1 root wheel 20 Oct 28 00:52 libiconv.dylib -> libiconv.2.3.0.dylib lrwxr-xr-x 1 root wheel 20 Oct 26 10:34 libiconv.dylib.ori -> libiconv.2.2.0.dylib -rw-r--r-- 1 root admin 811 Oct 27 00:39 libiconv.la -rw-r--r-- 1 root wheel 786 May 14 13:21 libiconv.la.ori

4.port -v install kdebase3

comment:45 Changed 15 years ago by ben@…

(In reply to comment #45)

I resolve this problem with this procedure.

1.I moved all files libiconv in /usr/lib/ to libiconv.*.ori (e.g. mv libiconv.2.dylib libiconv.2.dylib.ori)

...

For the record, i strongly advise against this approach which is very likely to cause problems with non-DP software.

comment:46 Changed 15 years ago by ben@…

Cc: wingdo@… added

* Bug 5543 has been marked as a duplicate of this bug. *

comment:47 Changed 15 years ago by yves@…

Cc: yves@… added

comment:48 Changed 15 years ago by z3022016@…

Interestingly, this has started working for me. It looks like Security Update 2005-009 is the cause, as my /usr/lib/libiconv.2.dylib has a modification date of yesterday. I have also installed XCode 2.2 since I last tried building kdebase3, so it too could conceivably be the cause.

So I guess this is back the way it was: working but for the wrong reason.

comment:49 Changed 15 years ago by wingdo@…

Still fails for me at the same spot it always has. It is a different error than what is reported here, but my bug report was closed in favor of this one. Here is the failure report:

---> Verifying checksum(s) for kdebase3 ---> Extracting kdebase3 ---> Applying patches to kdebase3 ---> Configuring kdebase3 Error: Target com.apple.configure returned: configure failure: shell command "cd "/opt/local/var/db/dports/build/file._opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_kde_kdebase3/work/kdebase-3.4.1" && CC=gcc-3.3 CXX=g++-3.3 CFLAGS='-Os' CXXFLAGS='-Os' CPPFLAGS='-I/usr/X11R6/include -I/usr/X11R6/include/freetype2 -I/usr/X11R6/include/freetype2/freetype -I/opt/local/include -I/opt/local/include/qt3 -I/usr/include/gssapi -no-cpp-precomp -fno-common -UHAVE_REALTIME_SCHED' LDFLAGS='-L/usr/X11R6/lib -L/opt/local/lib' LIBS='-L/opt/local/lib' lt_cv_sys_max_cmd_len=65536 ./configure --prefix=/opt/local --prefix='/opt/local' --includedir='/opt/local/include' --libdir='/opt/local/lib' --with-extra-includes='/opt/local/include:/usr/include/gssapi' --with-extra-libs='/opt/local/lib' --with-qt-dir='/opt/local' --with-qt-includes='/opt/local/include/qt3' --with-plugins='/opt/local/lib/qt3-plugins' --enable-rpath --with-pic --enable-shared=yes --enable-static=no --enable-mt --libexecdir='/opt/local/lib' --with-xinerama --with-pam --disable-final --disable-dependency-tracking --enable-cups --with-ldap --mandir=/opt/local/share/man --with-pam --with-distribution='DarwinPorts/Mac OS X' --with-ssl-dir=/usr --with-ssl --with-gssapi=framework --disable-dependency-tracking --without-arts" returned error 1 Command output: configure: WARNING: Missing FontConfig - disabling kfontinst! ./configure: line 44992: test: : integer expression expected ./configure: line 45001: test: : integer expression expected checking for getifaddrs... yes checking for getnameinfo... yes checking for struct sockaddr.sa_len... yes checking for X11/extensions/Xrandr.h... yes checking for XRRSetScreenConfigAndRate in -lXrandr... yes checking kcarddb.h usability... no checking kcarddb.h presence... no checking for kcarddb.h... no checking libraw1394/raw1394.h usability... no checking libraw1394/raw1394.h presence... no checking for libraw1394/raw1394.h... no checking for sigset... yes checking for sigaction... yes checking for X11/extensions/scrnsaver.h... yes checking for XScreenSaverQueryInfo in -lXext... no checking whether g++-3.3 supports -shared... yes checking for XScreenSaverQueryInfo in -lXss... no checking for X11/extensions/xf86misc.h... yes checking for XF86MiscQueryVersion in -lXxf86misc... no checking "struct ucred"... no checking nogroup... nogroup checking for getpeereid... yes checking for xmkmf... /usr/X11R6/bin/xmkmf checking X paths... failed configure: error: /usr/X11R6/bin/xmkmf (imake) failed. Make sure you have all necessary X development packages installed. On some systems a missing /lib/cpp symlink is at fault.

Error: The following dependencies failed to build: kdebase3 kdenetwork3 kdepim3 kdeutils3

comment:50 Changed 15 years ago by ben@…

Resolution: fixed
Status: assignedclosed

I believe the new qt-3.3.5 and kde 3.5.1 ports have resolved this. To install them, you will need to completely remove qt-3.3.5 and all kde* first.

If you still have problems, please open a new bug report with full details.

Note: See TracTickets for help on using tickets.